259  code-server(1) - Kailash Tool Reference

259.1 code-server

code-server - VS Code in the browser.

Layer OPS
Category o-05-ai-engineering-sdks-dev-env
Safety class safe
Licence MIT
Upstream github.com/coder/code-server

259.1.1 NAME

code-server - VS Code in the browser.

259.1.2 SYNOPSIS & usage

Derived from the upstream README at generation time; verify against --help where the tool is installed.

curl -fsSL https://code-server.dev/install.sh | sh -s -- --dry-run
curl -fsSL https://code-server.dev/install.sh | sh

259.1.3 DESCRIPTION (upstream)

Run VS Code on any machine anywhere and access it in the browser. - Code on any device with a consistent development environment - Use cloud servers to speed up tests, compilations, downloads, and more - Preserve battery life when you’re on the go; all intensive tasks run on your server See requirements for minimum specs, as well as instructions on how to set up a Google VM on which you can install code-server. TL;DR: Linux machine with WebSockets enabled, 1 GB RAM, and 2 vCPUs There are five ways to get started: 1. Using the [install script](https://github.com/coder/code-server/blob/main/ins

259.1.4 SEE ALSO


ref: pin - verified 2026-10-14